#!/bin/bash

echo "--------------------------------"
echo "| XNP Installation Script 0.1a |"
echo -e "--------------------------------\n"

if [ ! -d ~/.xchat2 ]; then
	mkdir ~/.xchat2
	echo "Created the ~/.xchat2 directory..."
fi

if [ -f xnp.pl ]; then
	cp xnp.pl ~/.xchat2
	echo "Copied the XNP script xnp.pl into ~/.xchat2..."
else
	echo "xnp.pl file not found! Aborting."
	echo "Installation failed."
	exit 0
fi

missa=0
missb=0

if [ -d xnp-help ]; then
	if [ -f xnp-help/bg_cnt.png ]; then
		if [ -f xnp-help/howto-xnp.html ]; then
			if [ -f xnp-help/faq-xnp.html ]; then
				cp -r xnp-help ~/.xchat2
				echo "Copied the XNP help directory into ~/.xchat2..."
				echo "All good."
				echo "XNP succesfully installed."
			else
				missa=1
				echo "Warning: xnp-help/faq-xnp.html missing."
			fi
		else
			missa=1
			echo "Warning: xnp-help/howto-xnp.html missing."
		fi
	else
		missa=1
		echo "Warning: xnp-help/bg_cnt.png missing."
	fi
else
	missa=1
	missb=1
	echo "Warning: xnp-help directory missing."
fi

if [ "$missa" = "1" ]; then
	if [ "$missb" = "0" ]; then
		cp -r xnp-help ~/.xchat2
		echo "The help system may not work because some help files are missing. Try downloading the package again."
		echo "XNP succesfully installed."
	else
		echo "The help system will not work because the XNP help directory is missing. Try downloading the package again."
		echo "XNP succesfully installed."
	fi
fi